io.vertx.groovy.ext.stomp

## Class StompServerHandler_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.stomp.StompServerHandler_GroovyExtension

-     public class StompServerHandler_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StompServerHandler_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StompServerHandler` | `bridge(StompServerHandler j_receiver, Map<String,Object> options)`
    `static StompServerHandler` | `onAck(StompServerHandler j_receiver, StompServerConnection connection, Map<String,Object> subscribe, List<Map<String,Object>> messages)`
    `static StompServerHandler` | `onNack(StompServerHandler j_receiver, StompServerConnection connection, Map<String,Object> subscribe, List<Map<String,Object>> messages)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StompServerHandler_GroovyExtension

          public StompServerHandler_GroovyExtension()

  - ### Method Detail

    - #### onAck

          public static StompServerHandler onAck(StompServerHandler j_receiver,
                                                 StompServerConnection connection,
                                                 Map<String,Object> subscribe,
                                                 List<Map<String,Object>> messages)

    - #### onNack

          public static StompServerHandler onNack(StompServerHandler j_receiver,
                                                  StompServerConnection connection,
                                                  Map<String,Object> subscribe,
                                                  List<Map<String,Object>> messages)

    - #### bridge

          public static StompServerHandler bridge(StompServerHandler j_receiver,
                                                  Map<String,Object> options)

Copyright © 2017. All rights reserved.